
%global meadversion 3.27.0
%global namedversion 3.27.0.GA-redhat-00001
%global meadalpha .GA_redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package javassist}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.27.0.GA-redhat-00001

Name:           %{?scl_prefix}javassist
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Javassist
Group:          Development/Java

%if %with mead
Source100: javassist-3.27.0.GA-redhat-00001-project-sources.tar.gz
Source102: javassist-3.27.0.GA-redhat-00001.pom
Source103: javassist-3.27.0.GA-redhat-00001-sources.jar
Source104: javassist-3.27.0.GA-redhat-00001-javadoc.jar
Source105: javassist-3.27.0.GA-redhat-00001.jar
%endif

License:        ASL 2.0 or LGPLv2+ or MPLv1.1
URL:            http://www.javassist.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Javassist (JAVA programming ASSISTant) makes Java bytecode manipulation
simple. It is a class library for editing bytecodes in Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javassist
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n javassist-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}.jar %{buildroot}%{_javadir}/javassist-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javassist-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javassist-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javassist-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javassist-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javassist-%{namedversion} -x META-INF/\*
%{__ln_s} javassist-%{namedversion} %{buildroot}%{_javadocdir}/javassist
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc License.html Readme.html
%{_javadir}/javassist-%{namedversion}.jar
%{_javadir}/javassist.jar
%if %with javadoc
%{_javadir}/javassist-%{namedversion}-javadoc.jar
%{_javadir}/javassist-javadoc.jar
%endif
%{_javadir}/javassist-%{namedversion}-sources.jar
%{_javadir}/javassist-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javassist-%{namedversion}
%{_javadocdir}/javassist
%endif

%changelog
* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 3.27.0-2.GA_redhat_00001.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 3.27.0-1.GA_redhat_00001.1
Built by CPaaS

* Fri May 10 2019 Permaine Cheung <pcheung@redhat.com> - 3.23.2-1.GA_redhat_00001.1
- org.javassist-javassist-3.23.2.GA_redhat_00001-1

* Wed Aug 22 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.23.1-1.GA_redhat_00001.1
- upgrade to 3.23.1.GA-redhat-00001

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 3.22.0-2.GA_redhat_1.1
- Fix License

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 3.22.0-1.GA_redhat_1.1
- 3.22.0.GA-redhat-1 for 7.2.0

* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 3.20.0-2.GA_redhat_3.1
- Fix license (JBEAP-13468)

* Thu Sep 14 2017 Petr Sakar <psakar@redhat.com> - 3.20.0-1.GA_redhat_3.1
- upgrade to 3.20.0.GA-redhat-3

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 3.18.1-1.GA_redhat_2.1
- release

